### Constructor

# Gegl Buffernew_for_backend

#### Declaration [src]

    GeglBuffer*
    gegl_buffer_new_for_backend (
      const GeglRectangle* extent,
      GeglTileBackend* backend
    )

#### Description [src]

Create a new GeglBuffer from a backend, if NULL is passed in the extent of the buffer will be inherited from the extent of the backend.

returns a GeglBuffer, that holds a reference to the provided backend.

#### Parameters

`extent`

  Type: `GeglRectangle`

  The geometry of the buffer (origin, width and height) a GeglRectangle.

  The data is owned by the caller of the function.

`backend`

  Type: `GeglTileBackend`

  An instance of a GeglTileBackend subclass.

  The data is owned by the caller of the function.

#### Return value

Type: `GeglBuffer`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.